> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# update entity by id



## OpenAPI

````yaml /openapi.json put /api/v1/schema/{id}
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/schema/{id}:
    put:
      tags:
        - Detector Schema Route
      summary: update entity by id
      parameters:
        - name: id
          in: path
          required: true
          schema:
            format: int64
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateDetectorSchemaDto'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DetectorSchemaDto'
      security:
        - SecurityScheme: []
components:
  schemas:
    UpdateDetectorSchemaDto:
      type: object
      properties:
        status:
          description: 'Status of the entity. Default: ''ACTIVE'''
          type: string
          allOf:
            - $ref: '#/components/schemas/Status'
        title:
          description: Title of the detector schema, shown to UI user
          type: string
        name:
          description: Name of the detector schema
          type: string
        version:
          description: Version of the detector schema
          type: string
          example: 0.0.1
        description:
          description: Description of the detector schema
          type: string
          example: Detector schema description example
        author:
          description: Author for the detector schema
          type: string
        icon:
          description: Icon for the detector schema
          type: string
        tags:
          description: Detector schema tags. Example SECURITY, COMPLIANCE
          uniqueItems: true
          type: array
          items:
            type: string
        networkTags:
          description: >-
            Detector schema tags, list of groups or networks that are allowed
            for this schema. Can include ChainGroup (network group, eg: 'evm')
            or ChainUid (network eg: 'ethereum'). Empty = any network
          uniqueItems: true
          type: array
          items:
            type: string
        faq:
          description: FAQ of the detector schema
          type: array
          items:
            $ref: '#/components/schemas/FaqDto'
        uiSchema:
          description: UI Schema value of the detector schema
          type: object
          additionalProperties: {}
          example: {}
    DetectorSchemaDto:
      type: object
      properties:
        id:
          format: int64
          description: Unique identifier of the entity
          type: integer
          example: 1
        createdAt:
          format: int64
          description: Time when entity was created
          type: integer
        updatedAt:
          format: int64
          description: Time when entity was updated
          type: integer
        status:
          description: 'Status of the entity. Default: ''ACTIVE'''
          type: string
          allOf:
            - $ref: '#/components/schemas/Status'
        title:
          description: Title of the detector schema, shown to UI user
          type: string
        name:
          description: Name of the detector schema
          type: string
        version:
          description: Version of the detector schema
          type: string
          example: 0.0.1
        description:
          description: Description of the detector schema
          type: string
          example: Detector schema description example
        author:
          description: Author for the detector schema
          type: string
        icon:
          description: Icon for the detector schema
          type: string
        tags:
          description: Detector schema tags. Example SECURITY, COMPLIANCE
          uniqueItems: true
          type: array
          items:
            type: string
        networkTags:
          description: >-
            Detector schema tags, list of groups or networks that are allowed
            for this schema. Can include ChainGroup (network group, eg: 'evm')
            or ChainUid (network eg: 'ethereum'). Empty = any network
          uniqueItems: true
          type: array
          items:
            type: string
        faq:
          description: FAQ of the detector schema
          type: array
          items:
            $ref: '#/components/schemas/FaqDto'
        schema:
          description: Json Schema value of the detector schema
          type: object
          additionalProperties: {}
          example:
            $schema: https://json-schema.org/draft/2020-12/schema
            title: Product
            description: Json schema example
            type: object
            properties:
              name:
                description: String property example
                type: string
              version:
                description: Integer property example
                type: integer
                exclusiveMinimum: 0
            required:
              - name
              - version
        uiSchema:
          description: UI Schema value of the detector schema
          type: object
          additionalProperties: {}
          example: {}
    Status:
      enum:
        - ACTIVE
        - DISABLED
        - DELETED
      type: string
    FaqDto:
      required:
        - name
        - value
      type: object
      properties:
        name:
          description: Faq name
          minLength: 1
          type: string
        value:
          description: Faq value
          minLength: 1
          type: string
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````